@import '../../../styles/--scss-vars.scss';

.btn {
  font-size: $subdiv * 3;
  font-weight: 700;
  line-height: 1.1;
  border: 1px solid transparent;
  background: transparent;
  color: $color-f0;
  padding: 5px 15px;
  border-radius: 8px;
  -webkit-appearance: none;
  &.btn-primary {
    color: $color-d0;
    background-color: $color-f0;
    border-color: $color-f0;
    min-width: $spacer4 - 6;
    &:hover {
      color: $color-f0;
      background-color: transparent;
      border-color: $color-f0;
    }
  }
  &.btn-secondary {
    color: $color-f0;
    background-color: transparent;
    border-color: $color-f0;
    min-width: $spacer4 - 6;
    &.hover {
      color: $color-d0;
      background-color: $color-f0;
      border-color: $color-f0;
    }
  }
  &.btn-gray-outline {
    color: $color-d8;
    border-color: $color-d8;
    background-color: transparent;
  }
  &.lg{
    height: $subdiv * 8 - 2;
  }
}
